de.esprit.netsuite.server.config

## Class ServerStartup

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.config.AbstractServerConfig
      - - de.esprit.netsuite.server.config.AbstractServerParameters
        - - de.esprit.netsuite.server.config.ServerStartup

- All Implemented Interfaces:
    Clearable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class ServerStartup
      extends AbstractServerParameters

  This class encapsulates the static configuration parameters of the server. These parameters are read once when the server is started.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_WEB_SERVICE_PORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerStartup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkConfigKeyExistence(java.util.List<ServerConfigKey> keyList)` This method is called after having read the configuration file.
    `protected void` | `checkConfigKeyValues(LogChannel logChannel, NdfProperties props)` This method is called after having read the configuration file.
    `protected NdfHandler` | `createNdfHandler()`
    `protected NdfWriter` | `createNdfWriter(ApplicationContext ctx, java.io.File outputFile)`
    `protected void` | `fillDefaultValues(NdfProperties props)`
    `protected void` | `fillServerConfigValues(NdfProperties props)`
    `int` | `getCoServerReconnectDelay()` Returns the co-server connection retry delay in seconds.
    `int` | `getDefaultAsyncAgentTimeout()`
    `java.lang.String` | `getMailAccount()`
    `java.lang.String` | `getMailPassword()`
    `java.lang.String` | `getMailSender()`
    `java.lang.String` | `getMailServer()`
    `java.lang.String` | `getMailSubject()`
    `int` | `getMessageSendQueueLength()`
    `NetIoType` | `getNetIoType()`
    `int` | `getRequestRecvQueueLength()`
    `int` | `getResourceLockTimeout()`
    `java.lang.String` | `getServerName()`
    `int` | `getWebServicePort()`
    `boolean` | `hasWebService()`
    `boolean` | `isEmptyPasswordAllowed()`
    `boolean` | `isLogToConsole()`
    `boolean` | `isManageUsersInDatabase()`
    `void` | `read(ApplicationContext ctx, java.io.File inputFile)`

    - ### Methods inherited from class de.esprit.netsuite.server.config.AbstractServerParameters

      `clear, equalValues, getProperties, toDumpString, write`

    - ### Methods inherited from class de.esprit.netsuite.server.config.AbstractServerConfig

      `equals, getConfigFileIn, getConfigFileName, hashCode, read, toString, write`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_WEB_SERVICE_PORT

          public static final int DEFAULT_WEB_SERVICE_PORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServerStartup

          public ServerStartup()

  - ### Method Detail

    - #### read

          public final void read(ApplicationContext ctx,
                  java.io.File inputFile)
                          throws java.lang.Exception

      Overrides:
        `read` in class `AbstractServerParameters`
      Throws:
        `java.lang.Exception`

    - #### checkConfigKeyExistence

          protected void checkConfigKeyExistence(java.util.List<ServerConfigKey> keyList)

      This method is called after having read the configuration file. Any custom config keys added to the keyList will be checked for existence. A warning will be printed for every missing key. Any key NOT added to the list will be reported as obsolete.

    - #### checkConfigKeyValues

          protected void checkConfigKeyValues(LogChannel logChannel,
                                  NdfProperties props)
                                       throws ServerConfigurationException

      This method is called after having read the configuration file. It's the place where the values of any custom keys may be checked.
      Throws:
        `ServerConfigurationException` - when a config key has got an invalid value.

    - #### getWebServicePort

          public int getWebServicePort()

    - #### getNetIoType

          public NetIoType getNetIoType()

    - #### getCoServerReconnectDelay

          public int getCoServerReconnectDelay()

      Returns the co-server connection retry delay in seconds.

    - #### hasWebService

          public boolean hasWebService()

    - #### isLogToConsole

          public boolean isLogToConsole()

    - #### isManageUsersInDatabase

          public boolean isManageUsersInDatabase()

    - #### isEmptyPasswordAllowed

          public boolean isEmptyPasswordAllowed()

    - #### getServerName

          public java.lang.String getServerName()

    - #### getMailServer

          public java.lang.String getMailServer()

    - #### getMailAccount

          public java.lang.String getMailAccount()

    - #### getMailPassword

          public java.lang.String getMailPassword()

    - #### getMailSubject

          public java.lang.String getMailSubject()

    - #### getMailSender

          public java.lang.String getMailSender()

    - #### getResourceLockTimeout

          public int getResourceLockTimeout()

    - #### getDefaultAsyncAgentTimeout

          public int getDefaultAsyncAgentTimeout()

    - #### getMessageSendQueueLength

          public int getMessageSendQueueLength()

    - #### getRequestRecvQueueLength

          public int getRequestRecvQueueLength()

    - #### fillDefaultValues

          protected final void fillDefaultValues(NdfProperties props)

      Specified by:
        `fillDefaultValues` in class `AbstractServerParameters`

    - #### fillServerConfigValues

          protected void fillServerConfigValues(NdfProperties props)
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### createNdfWriter

          protected final NdfWriter createNdfWriter(ApplicationContext ctx,
                                  java.io.File outputFile)

      Specified by:
        `createNdfWriter` in class `AbstractServerParameters`

    - #### createNdfHandler

          protected NdfHandler createNdfHandler()

      Specified by:
        `createNdfHandler` in class `AbstractServerParameters`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.